GNU bug report logs - #43431
superfluous bury-buffer needed due to earlier gnus-summary-select-article-buffer

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs,gnus; Reported by: 積丹尼 Dan Jacobson <jidanni@HIDDEN>; Keywords: notabug; Done: Lars Ingebrigtsen <larsi@HIDDEN>; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
bug closed, send any further explanations to 43431 <at> debbugs.gnu.org and 積丹尼 Dan Jacobson <jidanni@HIDDEN> Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Added tag(s) notabug. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 43431 <at> debbugs.gnu.org:


Received: (at 43431) by debbugs.gnu.org; 19 Sep 2020 16:41:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Sep 19 12:41:38 2020
Received: from localhost ([127.0.0.1]:47935 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kJfva-0000Z8-Su
	for submit <at> debbugs.gnu.org; Sat, 19 Sep 2020 12:41:38 -0400
Received: from quimby.gnus.org ([95.216.78.240]:46516)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1kJfvY-0000Ys-Vk
 for 43431 <at> debbugs.gnu.org; Sat, 19 Sep 2020 12:41:34 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Transfer-Encoding:Content-Type:MIME-Version:Message-ID
 :In-Reply-To:Date:References:Subject:Cc:To:From:Sender:Reply-To:Content-ID:
 Content-Description:Resent-Date:Resent-From:Resent-Sender:Resent-To:Resent-Cc
 :Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:List-Subscribe:
 List-Post:List-Owner:List-Archive;
 bh=vkMJyGu9HTXMd5iDqWb72RzBNvvHNj/VLBul01wt+Po=; b=jXYsdZ4us9WVVMZXRPI9eXGfVt
 M/TnSTqt4cPTEvmedGfNCFAQL+3wSbGTkILvFJiVuyOz9EPcd2CATKr5hsEqTLUa3SjsAlr7CMS53
 FYXADg4ZdIKVYIUd5vDwlikf0DHXZgj0hIRTLFU0MJjgEjMJ9wLCaH5sizqC6WjyB7VM=;
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=xo)
 by quimby with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1kJfvG-0000vI-Oc; Sat, 19 Sep 2020 18:41:25 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: =?utf-8?B?56mN5Li55bC8?= Dan Jacobson <jidanni@HIDDEN>
Subject: Re: bug#43431: superfluous bury-buffer needed due to earlier
 gnus-summary-select-article-buffer
References: <875z8ena01.5.fsf@HIDDEN> <87een0ph3k.fsf@HIDDEN>
 <87imc9n2vc.5.fsf@HIDDEN>
X-Now-Playing: Frankie Goes To Hollywood's _Welcome To The Pleasuredome_:
 "Ballad of '32"
Date: Sat, 19 Sep 2020 18:41:12 +0200
In-Reply-To: <87imc9n2vc.5.fsf@HIDDEN> (=?utf-8?B?IuepjeS4ueWwvA==?=
 Dan Jacobson"'s message of "Sun, 20 Sep 2020 00:32:55 +0800")
Message-ID: <877dspoh1z.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 
 Content preview:  積丹尼 Dan Jacobson <jidanni@HIDDEN> writes: > Yes
    I see my https://www.jidanni.org/comp/configuration/.gnus.el has > (define-key
    gnus-article-mode-map [?q] 'gnus-summary-expand-window); #35876 > > "So try
    that and see how it feels." Thanks. 
 
 Content analysis details:   (-2.9 points, 5.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
                             [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 43431
Cc: 43431 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

=E7=A9=8D=E4=B8=B9=E5=B0=BC Dan Jacobson <jidanni@HIDDEN> writes:

> Yes I see my https://www.jidanni.org/comp/configuration/.gnus.el has
> (define-key gnus-article-mode-map [?q] 'gnus-summary-expand-window); #358=
76
>
> "So try that and see how it feels." Thanks.

You're welcome, I'm sure.

So there doesn't seem to be a bug here, and I'm closing this bug report.

--=20
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN, bugs@HIDDEN:
bug#43431; Package emacs,gnus. Full text available.

Message received at 43431 <at> debbugs.gnu.org:


Received: (at 43431) by debbugs.gnu.org; 19 Sep 2020 16:33:05 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Sep 19 12:33:05 2020
Received: from localhost ([127.0.0.1]:47920 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kJfnN-0000MK-GA
	for submit <at> debbugs.gnu.org; Sat, 19 Sep 2020 12:33:05 -0400
Received: from camel.birch.relay.mailchannels.net ([23.83.209.29]:25163)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jidanni@HIDDEN>) id 1kJfnK-0000Ls-LA
 for 43431 <at> debbugs.gnu.org; Sat, 19 Sep 2020 12:33:03 -0400
X-Sender-Id: dreamhost|x-authsender|jidanni@HIDDEN
Received: from relay.mailchannels.net (localhost [127.0.0.1])
 by relay.mailchannels.net (Postfix) with ESMTP id BF42B320CCD;
 Sat, 19 Sep 2020 16:33:00 +0000 (UTC)
Received: from pdx1-sub0-mail-a4.g.dreamhost.com
 (100-96-27-64.trex.outbound.svc.cluster.local [100.96.27.64])
 (Authenticated sender: dreamhost)
 by relay.mailchannels.net (Postfix) with ESMTPA id 3D1CA320B8F;
 Sat, 19 Sep 2020 16:33:00 +0000 (UTC)
X-Sender-Id: dreamhost|x-authsender|jidanni@HIDDEN
Received: from pdx1-sub0-mail-a4.g.dreamhost.com (pop.dreamhost.com
 [64.90.62.162]) (using TLSv1.2 with cipher DHE-RSA-AES256-GCM-SHA384)
 by 0.0.0.0:2500 (trex/5.18.10); Sat, 19 Sep 2020 16:33:00 +0000
X-MC-Relay: Neutral
X-MailChannels-SenderId: dreamhost|x-authsender|jidanni@HIDDEN
X-MailChannels-Auth-Id: dreamhost
X-Fumbling-Harbor: 74f103b878636605_1600533180541_4165542785
X-MC-Loop-Signature: 1600533180541:3634550267
X-MC-Ingress-Time: 1600533180541
Received: from pdx1-sub0-mail-a4.g.dreamhost.com (localhost [127.0.0.1])
 by pdx1-sub0-mail-a4.g.dreamhost.com (Postfix) with ESMTP id F2FFB7F1B0;
 Sat, 19 Sep 2020 09:32:59 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha1; c=relaxed; d=jidanni.org; h=from:to:cc
 :subject:references:date:message-id:mime-version:content-type
 :content-transfer-encoding; s=jidanni.org; bh=tcSCUO7gH1nP7JmbSd
 E1yivsKt4=; b=Tw/3aEhySgz19Oer/cfXi5RYalYorYbMptu1SQKAj+zbrto66I
 ek1emHLOzcCCRR1SKE0nU7gtUOLo5XYlhmTsamuY+nLhMmBlzoor8Pwh5SxvM9fF
 miyZm/d7L+5Wat8yQjyHZRAtfDuj6pjRnDb+AXiEx3ZARZ+qdPsO0TGCY=
Received: from jidanni.org (114-41-19-17.dynamic-ip.hinet.net [114.41.19.17])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256
 bits)) (No client certificate requested)
 (Authenticated sender: jidanni@HIDDEN)
 by pdx1-sub0-mail-a4.g.dreamhost.com (Postfix) with ESMTPSA id 5BF8D7F1B1;
 Sat, 19 Sep 2020 09:32:59 -0700 (PDT)
X-DH-BACKEND: pdx1-sub0-mail-a4
From: =?utf-8?B?56mN5Li55bC8?= Dan Jacobson <jidanni@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#43431: superfluous bury-buffer needed due to earlier
 gnus-summary-select-article-buffer
References: <875z8ena01.5.fsf@HIDDEN> <87een0ph3k.fsf@HIDDEN>
Date: Sun, 20 Sep 2020 00:32:55 +0800
Message-ID: <87imc9n2vc.5.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
X-VR-OUT-STATUS: OK
X-VR-OUT-SCORE: -100
X-VR-OUT-SPAMCAUSE: gggruggvucftvghtrhhoucdtuddrgedujedrtdekgddutddvucetufdoteggodetrfdotffvucfrrhhofhhilhgvmecuggftfghnshhusghstghrihgsvgdpffftgfetoffjqffuvfenuceurghilhhouhhtmecufedttdenucesvcftvggtihhpihgvnhhtshculddquddttddmnecujfgurhephffvufhffffkgggtgfesthekredttddtjeenucfhrhhomhepnjjnnjcuffgrnhculfgrtghosghsohhnuceojhhiuggrnhhnihesjhhiuggrnhhnihdrohhrgheqnecuggftrfgrthhtvghrnhepvdekkeduffeitdeutdeufefgteduffffteehkeeugfevtdegjeetgeeiieefveehnecuffhomhgrihhnpehjihgurghnnhhirdhorhhgnecukfhppeduudegrdeguddrudelrddujeenucevlhhushhtvghrufhiiigvpedtnecurfgrrhgrmhepmhhouggvpehsmhhtphdphhgvlhhopehjihgurghnnhhirdhorhhgpdhinhgvthepuddugedrgedurdduledrudejpdhrvghtuhhrnhdqphgrthhhpeeprehuthhfqdekreeureehiehmpfehnfhiheehsgevkeerpecuffgrnhculfgrtghosghsohhnuceojhhiuggrnhhnihesjhhiuggrnhhnihdrohhrgheqpdhmrghilhhfrhhomhepjhhiuggrnhhnihesjhhiuggrnhhnihdrohhrghdpnhhrtghpthhtohepgeefgeefudesuggvsggsuhhgshdrghhnuhdrohhrgh
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 43431
Cc: 43431 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

>>>>> "LI" =3D=3D Lars Ingebrigtsen <larsi@HIDDEN> writes:
LI> =E7=A9=8D=E4=B8=B9=E5=B0=BC Dan Jacobson <jidanni@HIDDEN> writes=
:

>> When using C-d [gnus-summary-enter-digest-group] why does one need thr=
ee
>> q's instead of two, to return to the (Highest, not just that of the
>> digest) *Summary* buffer?
>>=20
>> C-d [gnus-summary-enter-digest-group]
>> <return> [gnus-summary-scroll-up]
>> h [gnus-summary-select-article-buffer]
>> q [gnus-summary-expand-window]
>> q [gnus-summary-exit]
>> q [bury-buffer]

LI> I'm unable to reproduce this -- q isn't bound to
LI> gnus-summary-expand-window for me.  Is this a local customisation you=
've
LI> done?

Yes I see my https://www.jidanni.org/comp/configuration/.gnus.el has
(define-key gnus-article-mode-map [?q] 'gnus-summary-expand-window); #358=
76

"So try that and see how it feels." Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN, bugs@HIDDEN:
bug#43431; Package emacs,gnus. Full text available.

Message received at 43431 <at> debbugs.gnu.org:


Received: (at 43431) by debbugs.gnu.org; 17 Sep 2020 15:18:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Sep 17 11:18:26 2020
Received: from localhost ([127.0.0.1]:38622 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kIvg1-00061V-OV
	for submit <at> debbugs.gnu.org; Thu, 17 Sep 2020 11:18:25 -0400
Received: from quimby.gnus.org ([95.216.78.240]:42078)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1kIvg0-00061G-Im
 for 43431 <at> debbugs.gnu.org; Thu, 17 Sep 2020 11:18:25 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Transfer-Encoding:Content-Type:MIME-Version:Message-ID
 :In-Reply-To:Date:References:Subject:Cc:To:From:Sender:Reply-To:Content-ID:
 Content-Description:Resent-Date:Resent-From:Resent-Sender:Resent-To:Resent-Cc
 :Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:List-Subscribe:
 List-Post:List-Owner:List-Archive;
 bh=fZ+Vd6fS/WuJO8LC1gGcptdVJ0VVyCKsA49lyrLVp/Q=; b=SK+hhyhLHOHjAN0FcZt/A30dje
 SxEoUuMxJ6TUZzdu7pR1zSbfFPC/feiSLzggADReB2NShLDwbONCfo1/JqSPWTuWXjoEIPmDfFZSF
 sh7DINBVRY4euAxNWk+uQpvlkMhIn9JnidfhSGVaIDxUapE8MzC68RGpV8MMjYaoQzj4=;
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=xo)
 by quimby with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1kIvfk-0001pc-9Y; Thu, 17 Sep 2020 17:18:18 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: =?utf-8?B?56mN5Li55bC8?= Dan Jacobson <jidanni@HIDDEN>
Subject: Re: bug#43431: superfluous bury-buffer needed due to earlier
 gnus-summary-select-article-buffer
References: <875z8ena01.5.fsf@HIDDEN>
X-Now-Playing: PJ Harvey's _Dry Demos_: "Sheela-Na-Gig"
Date: Thu, 17 Sep 2020 17:18:07 +0200
In-Reply-To: <875z8ena01.5.fsf@HIDDEN> (=?utf-8?B?IuepjeS4ueWwvA==?=
 Dan Jacobson"'s message of "Wed, 16 Sep 2020 02:57:34 +0800")
Message-ID: <87een0ph3k.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 
 Content preview:  積丹尼 Dan Jacobson <jidanni@HIDDEN> writes: > When
    using C-d [gnus-summary-enter-digest-group] why does one need three > q's
    instead of two, to return to the (Highest, not just that of the > digest)
    *Summary* buffer? > > C-d [gnus-summary-enter [...] 
 
 Content analysis details:   (-2.9 points, 5.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
                             [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 43431
Cc: 43431 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

=E7=A9=8D=E4=B8=B9=E5=B0=BC Dan Jacobson <jidanni@HIDDEN> writes:

> When using C-d [gnus-summary-enter-digest-group] why does one need three
> q's instead of two, to return to the (Highest, not just that of the
> digest) *Summary* buffer?
>
>  C-d [gnus-summary-enter-digest-group]
>  <return> [gnus-summary-scroll-up]
>  h [gnus-summary-select-article-buffer]
>  q [gnus-summary-expand-window]
>  q [gnus-summary-exit]
>  q [bury-buffer]

I'm unable to reproduce this -- q isn't bound to
gnus-summary-expand-window for me.  Is this a local customisation you've
done?

--=20
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN, bugs@HIDDEN:
bug#43431; Package emacs,gnus. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 15 Sep 2020 19:15:44 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Sep 15 15:15:44 2020
Received: from localhost ([127.0.0.1]:60598 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kIGQZ-0000lV-Kg
	for submit <at> debbugs.gnu.org; Tue, 15 Sep 2020 15:15:43 -0400
Received: from chocolate.birch.relay.mailchannels.net ([23.83.209.35]:45313)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jidanni@HIDDEN>) id 1kIGQW-0000lL-OT
 for submit <at> debbugs.gnu.org; Tue, 15 Sep 2020 15:15:42 -0400
X-Sender-Id: dreamhost|x-authsender|jidanni@HIDDEN
Received: from relay.mailchannels.net (localhost [127.0.0.1])
 by relay.mailchannels.net (Postfix) with ESMTP id ADF36920528
 for <submit <at> debbugs.gnu.org>; Tue, 15 Sep 2020 19:15:38 +0000 (UTC)
Received: from pdx1-sub0-mail-a92.g.dreamhost.com
 (100-96-9-91.trex.outbound.svc.cluster.local [100.96.9.91])
 (Authenticated sender: dreamhost)
 by relay.mailchannels.net (Postfix) with ESMTPA id 023E792044D
 for <submit <at> debbugs.gnu.org>; Tue, 15 Sep 2020 19:15:37 +0000 (UTC)
X-Sender-Id: dreamhost|x-authsender|jidanni@HIDDEN
Received: from pdx1-sub0-mail-a92.g.dreamhost.com (pop.dreamhost.com
 [64.90.62.162]) (using TLSv1.2 with cipher DHE-RSA-AES256-GCM-SHA384)
 by 0.0.0.0:2500 (trex/5.18.8); Tue, 15 Sep 2020 19:15:38 +0000
X-MC-Relay: Neutral
X-MailChannels-SenderId: dreamhost|x-authsender|jidanni@HIDDEN
X-MailChannels-Auth-Id: dreamhost
X-Snatch-Battle: 2db1f47b7207dc67_1600197338420_2752924169
X-MC-Loop-Signature: 1600197338420:1549975464
X-MC-Ingress-Time: 1600197338420
Received: from pdx1-sub0-mail-a92.g.dreamhost.com (localhost [127.0.0.1])
 by pdx1-sub0-mail-a92.g.dreamhost.com (Postfix) with ESMTP id 8DA747F218
 for <submit <at> debbugs.gnu.org>; Tue, 15 Sep 2020 12:15:37 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha1; c=relaxed; d=jidanni.org; h=from:to
 :subject:date:message-id:mime-version:content-type; s=
 jidanni.org; bh=bhY2AtcQfD/JSVG7tWOKrzL5q84=; b=mZ3l+RaPfPRJOCum
 6ZAZH+ElBXLf31zDnyojRgzQtUOFRDJqv/0+whAUZGIr2BmmZHq9Mj4NYDTqOMaz
 GgisQHBifNUZqflbr/0eC/7ag1AVGS/DtRhdY2pEH/HKOXsrqK6IxZtkvc60oMI6
 jcq/tTxhLj9PyHmQg7yZ1Ax1mdA=
Received: from jidanni.org (220-140-4-185.dynamic-ip.hinet.net [220.140.4.185])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
 (No client certificate requested)
 (Authenticated sender: jidanni@HIDDEN)
 by pdx1-sub0-mail-a92.g.dreamhost.com (Postfix) with ESMTPSA id EE85D7F1A7
 for <submit <at> debbugs.gnu.org>; Tue, 15 Sep 2020 12:15:36 -0700 (PDT)
X-DH-BACKEND: pdx1-sub0-mail-a92
From: =?utf-8?B?56mN5Li55bC8?= Dan Jacobson <jidanni@HIDDEN>
To: submit <at> debbugs.gnu.org (The Gnus Bugfixing Girls + Boys)
Subject: superfluous bury-buffer needed due to earlier
 gnus-summary-select-article-buffer
X-Debbugs-Version: 5.13
X-Debbugs-Package: emacs,gnus
Date: Wed, 16 Sep 2020 02:57:34 +0800
Message-ID: <875z8ena01.5.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-VR-OUT-STATUS: OK
X-VR-OUT-SCORE: 0
X-VR-OUT-SPAMCAUSE: gggruggvucftvghtrhhoucdtuddrgedujedrtddtgddutdegucetufdoteggodetrfdotffvucfrrhhofhhilhgvmecuggftfghnshhusghstghrihgsvgdpffftgfetoffjqffuvfenuceurghilhhouhhtmecufedttdenucenucfjughrpefhvffufffkgggtsehttdertddttdejnecuhfhrohhmpejnnjjnucffrghnucflrggtohgsshhonhcuoehjihgurghnnhhisehjihgurghnnhhirdhorhhgqeenucggtffrrghtthgvrhhnpefgkeehjeffvdevjedvvdeffeekteeftedtgeekfffhtddtfeevkedtffeggefgvdenucffohhmrghinhepjhhiuggrnhhnihdrohhrghenucfkphepvddvtddrudegtddrgedrudekheenucevlhhushhtvghrufhiiigvpedtnecurfgrrhgrmhepmhhouggvpehsmhhtphdphhgvlhhopehjihgurghnnhhirdhorhhgpdhinhgvthepvddvtddrudegtddrgedrudekhedprhgvthhurhhnqdhprghthheppeeruhhtfhdqkeerueerheeimhfphefnihehhegsveekreepucffrghnucflrggtohgsshhonhcuoehjihgurghnnhhisehjihgurghnnhhirdhorhhgqedpmhgrihhlfhhrohhmpehjihgurghnnhhisehjihgurghnnhhirdhorhhgpdhnrhgtphhtthhopehsuhgsmhhithesuggvsggsuhhgshdrghhnuhdrohhrgh
X-Spam-Score: 3.6 (+++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  When using C-d [gnus-summary-enter-digest-group] why does
 one need three q's instead of two, to return to the (Highest, not just that
 of the digest) *Summary* buffer? C-d [gnus-summary-enter-digest-group]
 <return>
 [gnus-summary-scroll-up] h [gnus-summary-select-article-buffer] q
 [gnus-summary-expand-window]
 q [gnus-summary-exit] q [bury-buffer] 
 Content analysis details:   (3.6 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 3.6 RCVD_IN_SBL_CSS        RBL: Received via a relay in Spamhaus SBL-CSS
 [220.140.4.185 listed in zen.spamhaus.org]
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
 [23.83.209.35 listed in wl.mailspike.net]
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
 no trust [23.83.209.35 listed in list.dnswl.org]
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 2.6 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  When using C-d [gnus-summary-enter-digest-group] why does
   one need three q's instead of two, to return to the (Highest, not just that
    of the digest) *Summary* buffer? C-d [gnus-summary-enter-digest-group] <return>
    [gnus-summary-scroll-up] h [gnus-summary-select-article-buffer] q [gnus-summary-expand-window]
    q [gnus-summary-exit] q [bury-buffer] 
 
 Content analysis details:   (2.6 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
                             [23.83.209.35 listed in wl.mailspike.net]
  3.6 RCVD_IN_SBL_CSS        RBL: Received via a relay in Spamhaus SBL-CSS
                             [220.140.4.185 listed in zen.spamhaus.org]
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
                              no trust
                             [23.83.209.35 listed in list.dnswl.org]
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager

When using C-d [gnus-summary-enter-digest-group] why does one need three
q's instead of two, to return to the (Highest, not just that of the
digest) *Summary* buffer?

 C-d [gnus-summary-enter-digest-group]
 <return> [gnus-summary-scroll-up]
 h [gnus-summary-select-article-buffer]
 q [gnus-summary-expand-window]
 q [gnus-summary-exit]
 q [bury-buffer]

You know, between q number 2 and q number 3, what is on the screen does
not change at all, giving the impression that emacs is dumb.

Same here, three q's:

 C-d [gnus-summary-enter-digest-group]
 SPC [gnus-summary-next-page]
 n [gnus-summary-next-unread-article]
 h [gnus-summary-select-article-buffer]
 n [gnus-article-read-summary-keys]
 n n [gnus-article-read-summary-keys]
 n q [gnus-summary-expand-window]
 q [gnus-summary-exit]
 q [bury-buffer]

Ah. we see it is all related to that critical "h". If we never used the
"h", we would never encounter the problem:

 C-d [gnus-summary-enter-digest-group]
 SPC [gnus-summary-next-page]
 n [gnus-summary-next-unread-article]
 n [gnus-summary-next-unread-article]
 n [gnus-summary-next-unread-article]
 q [gnus-summary-exit]

Wow, only one q to get back to the (Highest, not just that of the
digest) *Summary* buffer.

Anyway, for the h cases, please make it use two q's instead of three.
Thanks.

P.S., it may be due to my
https://www.jidanni.org/comp/configuration/.emacs
https://www.jidanni.org/comp/configuration/.gnus.el

Gnus v5.13
GNU Emacs 26.3 (build 2, x86_64-pc-linux-gnu, GTK+ Version 3.24.20)
 of 2020-05-17, modified by Debian




Acknowledgement sent to 積丹尼 Dan Jacobson <jidanni@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN, bugs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN, bugs@HIDDEN:
bug#43431; Package emacs,gnus. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sat, 19 Sep 2020 16:45:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.